Bug 623149 - AttributeError: 'NoneType' object has no attribute 'name'
Summary: AttributeError: 'NoneType' object has no attribute 'name'
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: i386 Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Radek Vykydal
QA Contact: Release Test Team
URL:
Whiteboard: anaconda_trace_hash:eb36bb1b0ef8d406f...
Keywords: RHELNAK
Depends On: 623080
Blocks: 647893
TreeView+ depends on / blocked
 
Reported: 2010-08-11 13:09 UTC by Radek Vykydal
Modified: 2011-05-19 12:34 UTC (History)
7 users (show)

Fixed In Version: anaconda-13.21.84-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 623080
Environment:
Last Closed: 2011-05-19 12:34:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0530 normal SHIPPED_LIVE anaconda bug fix and enhancement update 2011-05-18 17:44:52 UTC

Description Radek Vykydal 2010-08-11 13:09:46 UTC
+++ This bug was initially created as a clone of Bug #623080 +++

The following was filed automatically by anaconda:
anaconda 14.15 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/pyanaconda/iw/task_gui.py", line 158, in _addAndEnableRepo
    "URL.") % self.repo.name, type="ok", custom_icon="error")
  File "/usr/lib/python2.7/site-packages/pyanaconda/iw/task_gui.py", line 368, in run
    if not applyFuncs[type](newRepoObj) or not self._addAndEnableRepo(newRepoObj) or not \
  File "/usr/lib/python2.7/site-packages/pyanaconda/iw/task_gui.py", line 550, in _addRepo
    if dialog.run() in [gtk.RESPONSE_CANCEL, gtk.RESPONSE_DELETE_EVENT]:
AttributeError: 'NoneType' object has no attribute 'name'

--- Additional comment from rhe@redhat.com on 2010-08-11 05:31:12 EDT ---

Created an attachment (id=438136)
Attached traceback automatically from anaconda.

--- Additional comment from rhe@redhat.com on 2010-08-11 05:35:30 EDT ---

At Package Repository step, I added a repo with the name 'ftp' first, and then I added another repo accidently with the same name 'ftp', I didn't notice it and click ‘OK’. Exception occurred.

Comment 1 Radek Vykydal 2010-08-11 13:10:54 UTC
Simple patch fixing the traceback is ready.

Comment 3 RHEL Product and Program Management 2010-08-11 13:38:45 UTC
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Comment 4 RHEL Product and Program Management 2010-10-29 21:32:25 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.

Comment 5 Radek Vykydal 2010-11-25 13:15:15 UTC
This should be fixed in version 13.21.84-1 of anaconda.

Comment 8 Alexander Todorov 2011-03-14 15:32:02 UTC
With anaconda-13.21.104-1.el6 I was able to add twice a repository of the same name with no crash.

Comment 9 errata-xmlrpc 2011-05-19 12:34:01 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0530.html


Note You need to log in before you can comment on or make changes to this bug.